<?php
/*
Функции работы защиты с помощью картинок.
Реализован алгоритм генерации картинок без создания сессии.
Базируется на псевдослучайности генератора случайных чисел.
Автор: Denvas
http://bmatrix.net/
*/
    //общее время действия картинки $antifraud_imgtime*$antifraud_imgrep минут
    $antifraud_imgtime=3;//время перегенерации картинки
    $antifraud_imgrep=3;//сколько таймов назад проверять картинку
    $antifraud_imgtype=1;//1-картинка, 0-текст
    //==================================================//
    /*
    генерация цифры в зависимости от времени и браузера клиента
    */
    function NumImg($tm=0){
        global $user_agent, $ip, $antifraud_key, $antifraud_imgtime;
        if(empty($tm))$tm=(int)(time()/($antifraud_imgtime*60));
        $start=abs(crc32($tm.$user_agent.$ip.$antifraud_key));
        mt_srand((double)$start);
        $res=mt_rand(10000,99999);
        mt_srand((double)microtime()*1000000);
        return $res;
    };
    //==================================================//
    /*
    контрольная сумма
    */
    function SecureSum($img){
        global $user_agent, $ip, $antifraud_key;
        return md5($img.$user_agent.$ip.$antifraud_key);
    };
    //==================================================//
    /*
    проверка контрольной суммы
    */
    function SecureCheck($checksum,$img){
        global $antifraud_imgtime, $antifraud_imgrep;
        //в текущие $antifraud_imgtime минут
        if($img==NumImg())return true;
        //в предыдущие $antifraud_imgtime минут
        for($i=1;$i<=$antifraud_imgrep;$i++){
            if($img==NumImg((int)(time()/($antifraud_imgtime*60))-$i))return true;
        };
        return false;
    };
    //==================================================//
    /*
    Вывод суммы для отображения
    */
    function SecureImage($img){
        global $antifraud_imgtype;
        $img.="";
        $rnd=mt_rand(10000,10000000);
        //картинка
        if($antifraud_imgtype==1)
            //return array($img,"<br/><img src='img.php?ses=".$rnd."' alt='secret'/>",$rnd);
            return array($img,"<br/>".$img,$rnd);
        //текст
        return array($img,$img,$rnd);
    };

?>