alter table users add forumban int default 0;

DROP TABLE IF EXISTS scs_forum_forum;
create table scs_forum_forum
(
    id_forum int not null auto_increment,  #идентификатор
    name varchar(255) not null,            #название форума
    description text default '',           #описание форума
    topics int default 0,                  #количество тем
    lastpost datetime default '0000-00-00',#последние добавление
    lang char(3) default '',               #язык форума
    usergroup varchar(50) default '',      #группа которой принадлежит форум или ''
    picture varchar(255) default '',
    forum_private int not null default 0,  #приватный форум
    pos int not null default 0,            #позиция, чтоб двигать вверх и вниз    
        primary key(id_forum),
        key(usergroup),
        key(lang)
);
insert into scs_forum_forum set id_forum=1, name='О системе', description='Пожелания и предложения по системе';
insert into scs_forum_forum set id_forum=2, name='Как заработать', description='Общие вопросы заработка в системе';
insert into scs_forum_forum set id_forum=3, name='Серфинг', description='Заработок в серфинге';
insert into scs_forum_forum set id_forum=4, name='Опросники и тесты', description='Заработок в опросниках и тестах';
insert into scs_forum_forum set id_forum=5, name='Прямые ссылки', description='Как заработать на размещении ссылок';
insert into scs_forum_forum set id_forum=6, name='Остальные виды заработка', description='О других видах заработка в системе';
insert into scs_forum_forum set id_forum=7, name='Реферальская программа', description='Деньги за привлечение новых участников';
insert into scs_forum_forum set id_forum=8, name='Для рекламодателей', description='Как невозможное сделать возможным';
insert into scs_forum_forum set id_forum=9, name='Свалка', description='Только здесь разрешена реклама';

#таблица тем форумов
DROP TABLE IF EXISTS scs_forum_topic;
create table scs_forum_topic
(
    id_topic int not null auto_increment,               #идентификатор
    id_forum int not null,                              #какому форуму принадлежит
    id_user int default 0,                              #идентификатор зарегеного пользователя
    id_touser int default 0,                            #кому адресовано
    author varchar(255) not null,                       #автор как он подписался
    subj varchar(255) not null,                         #тема
    createtime datetime not null default '0000-00-00',  #время
    lastpost datetime not null default '0000-00-00',    #последние добавление
    replies int not null default 0,                     #количество откликов
    toptopic int not null default 0,
    views int not null default 0,                       #количество просмотров
    endviews varchar(255) default '',                   #кто последний просматривал
    closetopic int not null default 0,
        primary key(id_topic),
        key(id_forum),
        key(id_user),
        key(id_touser)
);

#таблица сообщений
DROP TABLE IF EXISTS scs_forum_post;
create table scs_forum_post
(
    id_post int not null auto_increment,      #идентификатор
    id_topic int not null,                    #идентификатор темы
    id_user int default 0,                    #идентификатор зарегеного пользователя
    author varchar(255) not null,             #автор как он подписался
    message text not null,                    #сообщение
    createtime datetime default '0000-00-00', #время создания
    email varchar(255),                        #адрес
    subscribe int not null default 0,         #подписался на рассылку
    visibletime int not null default 0,  #метка времени после которой не показывать это сообщение
    checksum varchar(255) default '',
    info_ip varchar(255),
    info_agent varchar(255),
        primary key(id_post),
        key(id_topic),
        key(createtime),
        key(visibletime)
);
