DROP TABLE IF EXISTS promotion;
create table promotion
(
    id_promotion int not null auto_increment,
    name varchar(255) not null, 
    datestart date,
	datestop date,
	description text,
	queryselect varchar(255),
	queryfrom varchar(255),
	querywhere varchar(255),
	status enum('make','active','ban') default 'make',
	template text,
        primary key(id_promotion),
		key(status),
		key(datestart),
		key(datestop)
);

DROP TABLE IF EXISTS promotion_value;
create table promotion_value
(
    id_user int not null,
    id_promotion int not null,
	val float default 0,
        key(id_user),
        key(id_promotion),
        unique(id_user,id_promotion)
);
