alter table users add balance_stake float default 0, add countstake int default 0, add winstake int default 0;

DROP TABLE IF EXISTS shop_product;
create table shop_product
(
    id_product int not null auto_increment,  
    status enum('make','active','ban') default 'make',
    id_user int default 0,
	editdate datetime default '0000-00-00',
    id_cat int default 0,
	name varchar(255) not null,
    pic varchar(255) default '',
    price float not null,
    shortdesc text,
    description text,
    sell int default 0,
    minprice float default 0,
    maxprice float default 0,
		primary key(id_product),
		key(status),
        key(id_user)
);

DROP TABLE IF EXISTS shop_auction;
create table shop_auction
(
    id_auction int not null auto_increment,  
	id_user int not null,
	id_product bigint not null,
    nameproduct varchar(255) not null,
    startdate datetime,
    stopdate datetime,

    startprice float default 0,
    minbid int default 1,
    maxbid int default 100,
    startstake int default 1,

    stepprice float default 0.25,
    steptime int default 60,

    status enum('make','start','active','ban','pause','done','denial') default 'make',

    typetime enum('day','night','24hour') default '24hour',
    autostake int default 0,
    compensation int default 0,
    backmoney int default 0,
    beginner int default 0,
    discount100 int default 0,
    fixprice int default 0,

    bid int default 0,
	price float default 0,
    id_enduser int default 0,
    endtime int default 0,
    countstake int default 0,
    pricesell float default 0,

    timepause int default 0,

    statusproduct enum('win','pay','processing','delivered') default 'win',
		primary key(id_auction),
		key(id_enduser),
		key(id_product),
        key(status)
);


DROP TABLE IF EXISTS shop_autostake;
create table shop_autostake
(
    id_autostake int not null auto_increment,  
	id_user int not null,
    id_auction int not null,
    startprice float not null,
    stopprice float not null,
    maxstake int default 1,

		primary key(id_autostake),
		key(id_user),
		key(id_auction)
);
