DROP TABLE IF EXISTS surf_links;
create table surf_links
(
    id_link int NOT NULL auto_increment,                  
    url text,                #рекламируемый сайт
    balance float default 0,               #бюджет кампании
    maxday int default 0,               #максимально кликов в сутки
    maxipday int default 0,               #максимально кликов в сутки с одного IP
    ver set('comp','cell','opera') default 'comp,cell,opera',  #с чего принимать ссылки
    name varchar(255) default '',
    status enum('hidden','active','delete','moderate','ban') default 'moderate', #статуст кампании
	banrules int default 0,
    id_user int not null default 0,           #кому пренадлежит ссылка
    counter int not null default 0,           #счетчик переходов
    counterbalance float default 0,
    counterday int not null default 0,        #количество кликов в текущий день
    admindesc text default '',                #комментарий
    editdate datetime default '0000-00-00',   #дата регистрации
    checkview int default 0,
	id_moder int default 0,

    price float default 0,
    daykey int default 0,
    deepurl int default 0,
	
	uniq int default 0,
	id_flow int default 0,
	protection int default 1,
	
       primary key (id_link),
       key(status),
       key(id_user),
       key(ver),

       key(maxday),
       key(counterday)
);

#уходы по ссылкам
DROP TABLE IF EXISTS surf_go_links;
create table surf_go_links
(
    id_link int not null,                #идентификатор ссылки
    id_user int not null,                #кликнувший юзер
    ip varchar(255) default '', #айпишник клика
    user_agent varchar(255) default '',
    amount float default 0,
	oper varchar(255) default '',
    t int default 0,                     #время клика
    uniq int default 0,
	daykey int default 0,
        key(id_link),
        key(id_user),
		key(ip)
);
