# 
DROP TABLE IF EXISTS usernet_profile;
create table usernet_profile
(
    id_user int not null,
	birthday date not null default '0000-00-00',
	name varchar(255) default '',
	nickname varchar(255) default '',
	country varchar(255) default '',
	city varchar(255) default '',
	studies varchar(255) default '',
    jobs varchar(255) default '',
	sex enum('m','w','o') default 'o',
	photo varchar(255) default '',
    description text,
    status enum('active','ban','moderate') default 'active',
    #
    messagefrom enum('all','member','friends','community') default 'member',
    commentsfrom enum('all','member','friends','community') default 'member',
    viewphoto enum('all','member','friends','community') default 'all',
    readblog enum('all','member','friends','community') default 'all',
    addfriends enum('all','community','not') default 'all',
	#
	rating int default 0,
	#
	countsites int default 0,
	countcommunity int default 0,
	countphoto int default 0,
	countblog int default 0,
    countfriends int default 0,
    countnewfriends int default 0,
    countmessage int default 0,
    countlog int default 0,

    countbad int default 0,
    ratingtemp float default 0,
    #   
	keysearch varchar(255) default '',
        primary key(id_user),
		key(keysearch),
        key(sex)
);

# ,  
DROP TABLE IF EXISTS usernet_keyword;
create table usernet_keyword
(
    id_word int NOT NULL auto_increment,
    id_user int not null,
    keyword varchar(255) not null,
    nrep int default 0,
    	primary key (id_word),
        key(id_user)
);

#
DROP TABLE IF EXISTS usernet_community;
create table usernet_community
(
	id_comm int NOT NULL auto_increment,
	name varchar(255) not null,
	description text,
    regdate datetime default '0000-00-00',
	keyword varchar(255),
	countuser int default 0,
    countnewuser int default 0,
	site varchar(255) default '',
	typenew enum('free','approval','close') default 'free',
    #
	rating int default 0,
	keysearch varchar(255) default '',
		primary key (id_comm),
		key(keysearch)
);

#   
DROP TABLE IF EXISTS usernet_commuser;
create table usernet_commuser
(
	id_cu int NOT NULL auto_increment,
	id_comm int not null,
    id_user int not null,
    nickname varchar(255) default '',
	regdate datetime default '0000-00-00',
	status enum('active','ban','moderate','exclude','exituser') default 'active',
    typeuser enum('member','moderator','admin') default 'member',
    comments varchar(255) default '',
		primary key (id_cu),
        key(id_user),
        key(id_comm)
);

# 
DROP TABLE IF EXISTS usernet_friends;
create table usernet_friends
(
	id_user1 int not null,
    nickname1 varchar(255) default '',
	id_user2 int not null,
    nickname2 varchar(255) default '',
    detesend datetime not null,
    status enum('active','moderate','ban','delete') default 'active',
    comments varchar(255) default '',
		unique(id_user1,id_user2),
		key(id_user1),
		key(id_user2),
        key(status)
);

#    
DROP TABLE IF EXISTS usernet_sites;
create table usernet_sites
(
	id_site int NOT NULL auto_increment,
	id_user int not null,
	regdate datetime default '0000-00-00',
    title varchar(255) default '',
	url varchar(255) default '',
	description text,
	keyword varchar(255) default '',
	keysearch varchar(255) default '',
		primary key (id_site),
		key(id_user),
		key(keysearch)
);

#
DROP TABLE IF EXISTS usernet_photo;
create table usernet_photo
(
	id_photo int NOT NULL auto_increment,
	id_user int not null,
	status enum('active','moderate','ban') default 'moderate',
	datesend datetime default '0000-00-00',
	namefile varchar(255) not null,
	keyword varchar(255) default '',
	description text,
	keysearch varchar(255) default '',
	countvote int default 0,
	votes int default 0,
    id_moder int default 0,
		primary key (id_photo),
		key(id_user),
		key(keysearch)
);

#
DROP TABLE IF EXISTS usernet_blog;
create table usernet_blog
(
	id_blog int NOT NULL auto_increment,
	id_user int not null,
	datesend datetime default '0000-00-00',
	title varchar(255) not null,
	message text,
	countcomments int default 0,
	keyword varchar(255) default '',
	keysearch varchar(255) default '',
		primary key (id_blog),
		key(id_user),
		key(keysearch),
        key(datesend)
);

#  
DROP TABLE IF EXISTS usernet_blogcomments;
create table usernet_blogcomments
(
	id_blog int NOT NULL,
	id_usersend int not null,
    nickname varchar(255) default '',
	datesend datetime default '0000-00-00',
	message text,
		key (id_blog),
		key(id_usersend)
);

#
DROP TABLE IF EXISTS usernet_message;
create table usernet_message
(
	id_message bigint NOT NULL auto_increment,
    room varchar(30) not null,
	id_user int not null,
    nickname varchar(255) default '',
	datesend datetime default '0000-00-00',
    message varchar(255) not null,
		primary key (id_message),
        key(id_user),
        key(room)
);

#  
DROP TABLE IF EXISTS usernet_log;
create table usernet_log
(
	id_log bigint NOT NULL auto_increment,
	id_user int not null,
	datesend datetime default '0000-00-00',
    message varchar(255) not null,
    url varchar(255) not null,
		primary key (id_log),
        key(id_user)
);
