DROP TABLE IF EXISTS users;
create table users
(
    id_user int NOT NULL auto_increment,                  
    login varchar(255) not null,
    name varchar(255) not null,
    status enum('new','ban','active','delete') default 'active',
	baninfo varchar(255) default '',
    pwd varchar(255) default '',
    pwdtech varchar(255) default '',
    email varchar(255) default '',
    regdate datetime default '0000-00-00',
    checkkey varchar(255) default '',
    site varchar(255) default '',
    startpage varchar(255) default '',
	hiddenmenu varchar(255) default '',
	
    #права в системе
    ext varchar(255) not null default '',

    #деньги
    balance float default 0,     #баланс
    minbalance float default 0,  #невыводимая сумма
	minbalancepay float default 0, #сколько всегда оставлять на счете

    #реферальская программа
    id_parent int not null default 0,
    parentdeep varchar(255) default '',          #цепочка рефералов
    refcount int default 0,                      #количество рефералов первого уровня

    #сессии
    ip varchar(20) default '127.0.0.1',
    user_agent varchar(255) default '',
    ses char(50) default '',
    timeses int default 0,
    curpage varchar(255) default '',

    mailnews int default 1,                      #подписка на новости
    userlevel int default 1,       #уровень пользователя

    #количество заработанных денег
    moneyyesterday float default 0, 
	moneytoday float default 0,
    moneyall float default 0,
    moneyrefall float default 0,
    #сколько денег затрачено рекламодателем
    moneyadvyesterday float default 0, 
	moneyadvtoday float default 0,
    moneyadvall float default 0,
    #wimd для пополнения
	wmid varchar(128) default '',
	#выплаты
    paysys enum('none','wm','cell') default 'none',    #куда выплачивать
    purse varchar(255) default '',                             #кошелек для выплаты денег
    access_ip text default '',
    access_agent text default '',

	phone varchar(255) default '',
       primary key (id_user),
       key(status),
       key(balance),
       key(ses),
       key(login)
);
#главный пользователь (администратор)
insert into users set id_user=1, regdate=now(), refcount=0, login='admin', name='admin', pwd=md5('1234'), ext='moderator,admin,dev', email='q@mail.ru', balance=100, phone='+admin', access_ip='', access_agent='';
#дополнительыне пользователи (модераторы)
insert into users set id_user=2, regdate=now(), refcount=0, login='test', name='moderator1', pwd=md5('1234'), ext='moderator', email='q@mail.ru', balance=100, phone='+admin', access_ip='', access_agent='';
insert into users set id_user=3, regdate=now(), refcount=0, login='test', name='moderator2', pwd=md5('1234'), ext='moderator', email='q@mail.ru', balance=100, phone='+admin', access_ip='', access_agent='';

DROP TABLE IF EXISTS transactions;
create table transactions
(
    id_trans bigint NOT NULL auto_increment,                  
    way enum('in','out') not null,
    id_from int not null,
    id_to int not null,
    amount float not null default 0,
    description text,
    transdate datetime,
    typetrans enum('trans','balance','pay','ref','exchange','moneyout'),
    comments text default '',
	newbalance float default 0,
       primary key (id_trans),
       key(id_from),
       key(id_to)
);

insert into transactions set id_trans=1000, way='out', transdate=NOW(), amount=0, description='start', id_from=0, id_to=0;



DROP TABLE IF EXISTS systemmoney;
create table systemmoney
(
    day date,                          #день
    money float default 0,             #заработок
    
       unique(day)
);


DROP TABLE IF EXISTS siteblacklist;
create table siteblacklist
(
    id_site int not null auto_increment,
    site varchar(255) not null,
    primary key(id_site),
    key(site)
);

DROP TABLE IF EXISTS moderatorwork;
create table moderatorwork
(
    day date,
	id_user int not null,
	description text,
    bonus float default 0,
	fine float default 0,
       unique(day,id_user)
);

DROP TABLE IF EXISTS transbalance;
create table transbalance
(
    id_transbalance int NOT NULL auto_increment,                  
    typet varchar(50) not null,
    id_from int default 0,
    id_to int default 0,
    amount float default 0,
    datecreate datetime not null,
    description text,

       primary key (id_transbalance),
       key(typet),
       key(id_from),
       key(id_to)
);
