# 
DROP TABLE IF EXISTS users;
create table users
(
    id_user int(6) NOT NULL auto_increment,                  
    login varchar(255) not null,
    id_parent int not null default 0,
    balance float default 0,
    credit float default 0,
    name varchar(255) not null,
    site varchar(255) not null,
    id_cat int not null default 0,
    status enum('ban','active') default 'active',
    pwd varchar(255) default '',
    email varchar(255) default '',
    ext varchar(255) not null default '',
    regdate datetime default '0000-00-00',
    minbalance float default 0,
    extinfo text default '',
    showmylink int default 0,
    mailbalance int default 1,
    ulevel int default 0,
    description text,
    bank_balance float default 0,

    sitedesc text default '',

    secretkey varchar(255) default '',
    perc_partnerka int default 0,

    ip varchar(20) default '127.0.0.1',
    user_agent varchar(255) default '',
    ses char(64) default '',
    timeses int default 0,
    curpage varchar(255) default '',

    color1 varchar(56) default '',
    color2 varchar(56) default '',
    color3 varchar(56) default '',
    color4 varchar(56) default '',

    balance_money float default 0,

    maxinvitation int default 20,

    keyrndlink int default 0,
       primary key (id_user),
       key(status),
       key(balance),
       key(ext),
       key(ses),
       key(id_cat)
);
replace into users set id_user=1, balance=1000, name='admin', pwd='admin', site='wap.bmatrix.net', ext='moderator,admin', email='';

DROP TABLE IF EXISTS cat;
create table cat
(
    id_cat int NOT NULL auto_increment,                  
    title varchar(255) not null,
       primary key (id_cat)
);
insert into cat set id_cat=1, title='';
insert into cat set id_cat=2, title='';
insert into cat set id_cat=3, title=' ';
insert into cat set id_cat=4, title='';
insert into cat set id_cat=5, title=' ';
insert into cat set id_cat=6, title=' ';

#
DROP TABLE IF EXISTS links;
create table links
(
    id_link int NOT NULL auto_increment,                  
    keywords varchar(255) not null default '',
    bid float default 0,
    status enum('hidden','active','delete','moderate','ban') default 'moderate',
    moderate int not null default 0,
    name varchar(255) not null,
    description text default '',
    url varchar(255) not null,
    id_user int not null default 0,
    counter int not null default 0,
    maxclick int not null default -100,
    endtime int default 0,
    admindesc text default '',
    editdate datetime default '0000-00-00',
    feedsite int not null default 0,
    ver set('wap1','wap2','web') default 'wap1,wap2,web',

    targeting int not null default 0,
    rules text,

       primary key (id_link),
       key(keywords),
       key(status),
       key(bid),
       key(id_user),
       key(feedsite),
       key(ver)
);


#  
DROP TABLE IF EXISTS go_links;
create table go_links
(
    id_link int not null,
    url varchar(255) not null,
    search varchar(255) default '',
    referer varchar(255) default '',
    t int not null default 0,
    keyses varchar(50) not null default 0,
    tgo datetime not null,
    ext text default '',
    ip varchar(20) default '127.0.0.1',
    user_agent varchar(255) default '',
    
    user_from int not null default 0,     # 
    money_from float not null default 0,   # 
    user_to int not null default 0,       #  
    money_to float not null default 0,     # 
        key(id_link),
        key(t),
        key(keyses),
        key(user_from),
        key(user_to),
        key(tgo)
);

#  
DROP TABLE IF EXISTS words;
create table words
(
    datef datetime default '0000-00-00',
    word varchar(255) not null default "",
    find int default 0,
    dayfound int not null default 0,
    s int default 0,
    key(datef)
);


DROP TABLE IF EXISTS guestbook;
create table guestbook
(
    id_message int NOT NULL auto_increment,                  
    id_book int not null default 0,
    id_user int not null default 0,
    id_to int not null default 0,
    date datetime not null,
    username varchar(255) default '',
    message text,
    answer text,
       primary key (id_message),
       key(id_book),
       key(id_to)
);

DROP TABLE IF EXISTS transactions;
create table transactions
(
    id_trans int NOT NULL auto_increment,                  
    id_from int not null,
    id_to int not null,
    amount float not null default 0,
    description text,
    transdate datetime,
    typetrans varchar(255) default '',
       primary key (id_trans),
       key(id_from),
       key(id_to),
       key(typetrans)
);

DROP TABLE IF EXISTS antifraud;
create table antifraud
(
    ses varchar(255) default '',
    utime int,
    rep int,
    ip varchar(20) default '127.0.0.1',
    user_agent varchar(255) default '',
    unique key(ses),
    key(utime)
);

DROP TABLE IF EXISTS pincode;
create table pincode
(
    id_pincode int(10) ZEROFILL NOT NULL auto_increment,                  
    pin int(10) ZEROFILL UNSIGNED default 0,
    id_useractivate int default 0,
    amount float default 0,
       primary key (id_pincode),
       unique key(pin),
       key(id_useractivate)
);

DROP TABLE IF EXISTS param;
create table param
(
    id_user int default 0,
    tp varchar(20) default '',
    name varchar(50) default '',
    val varchar(255) default '',
    unique(id_user,tp,name),
    key(id_user),
    key(tp),
    key(name)

);

DROP TABLE IF EXISTS sitestatus;
create table sitestatus
(
    id_site int NOT NULL auto_increment,
    site varchar(255) default '',
    status enum('ban') default 'ban',
       primary key (id_site)
);

DROP TABLE IF EXISTS badwords;
create table badwords
(
    word varchar(255),
    bad int default 1,
        unique(word)
);

# 
DROP TABLE IF EXISTS invitationcode;
create table invitationcode
(
   id_invcode int not null auto_increment,
   valcode varchar(255) not null,         
   id_parent int not null,                
   id_user int not null default 0,        
   money float default 0,
   
       primary key(id_invcode),
       key(valcode),
       key(id_parent)
);

DROP TABLE IF EXISTS exchange_money;
create table exchange_money
(
    id_exchange int not null auto_increment,  
    id_user int not null,                     
    datesend datetime,                        
    balance int default 0,                    
    price float default 0,                    
    status enum('active','deactive','done') default 'active', 
        primary key(id_exchange),
        key(id_user)
);

DROP TABLE IF EXISTS systemmoney;
create table systemmoney
(
    day date, 
    money float default 0,
    
       unique(day)
);
